Bug 449840 - Review Request: trac-spamfilter-plugin - Spam-Filter plugin for Trac
Review Request: trac-spamfilter-plugin - Spam-Filter plugin for Trac
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 16:44 EDT by Jesse Keating
Modified: 2013-01-09 22:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Nigel Jones 2008-06-03 17:55:23 EDT
I'll pick up this review, I believe you need to depend on
python-setuptools-devel now (per
http://fedoraproject.org/wiki/Packaging/Python/Eggs#Providing_Eggs_using_Setuptools)
for F9+

Ricky's python-dictclient spec file recently passed review w/ it doing this way
(http://cvs.fedoraproject.org/viewcvs/rpms/python-dictclient/F-8/python-dictclient.spec?rev=1.1&view=markup)
as an example.

Full review coming up.
Comment 2 Nigel Jones 2008-06-03 18:19:57 EDT
Okay, everything was happy without the Providing Eggs using Setuptools bit, so
I'm happy, I think that's something on the 'would be nice' list though. :)

MUST:
Y: rpmlint on each package
Y: Meets Package Naming Guidelines
Y: Spec file name matches base package name
Y: License field is valid
Y: Meets Packaging Guidelines
 -: License included in package (if included in source)
 Y: Spec file written in en_US
 Y: Spec file is legible
 Y: Sources match upstream source
 Y: Source URL 'sane'
 Y: Compiles successfully - [F9 (noarch)]
 -: ExcludeArch required?
 Y: All Build Dependencies Listed
 -: Handles locales sanely
 -: Library packages run ldconfig
 Y: Package is not relocatable
 -: Package owns all directories created
 Y: No duplicate file listings
 Y: defattr set correctly
 Y: %clean is used
 Y: Macro use conisistant
 Y: Contains Code/Content that is allowed
 -: Large Documentation in -doc subpackage
 Y: %doc must not affect package runtime
 -: Header files in -devel
 -: Static libraries in -static
 -: pkgconfig files require pkgconfig
 -: Library files are located in correct package
 -: -devel requires base package w/ fully versioned dependency
 -: Packages do not contact .la (libtool) archives
 -: GUI Apps have .desktop files
 Y: No duplicate directory ownerships
 Y: %install cleans buildroot
 Y: Filenames are valid UTF-8

SHOULD:
-: Description/Summary sections contain translations
-: Builds in mock/koji
Y: Builds on all architectures
-: Scriptlets are sane
-: Subpackages require base package
-: pkgconfig.pc files in -devel
-: File dependencies should only be in /etc /bin /sbin /usr/bin /usr/sbin

Only issues to me is:

No copying file, the source points to http://trac.edgewall.org/wiki/TracLicense
which is all fine and dandy, but it'd be nice to ask Upstream to include it in
SVN sometime :)

Here's your APPROVED ticket, please take it to the next counter (CVS).
Comment 3 Jesse Keating 2008-06-09 10:44:52 EDT
After investigation, it is no longer necessary to pull in
python-setuptools-devel.  That's only necessary if you want the command line
executed easy_install, which we do not need since we're using python setup.py
and setuptools directly.

New Package CVS Request
=======================
Package Name: trac-spamfilter-plugin
Short Description: Spam-Filter plugin for Trac
Owners: jkeating
Branches: EL-5
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-06-10 12:40:40 EDT
cvs done.
Comment 5 Nigel Jones 2008-07-13 07:56:27 EDT
Do we still need this bug open?
Comment 6 Paul Howarth 2009-07-14 08:29:03 EDT
I think this bug can be closed now.

By the way, would you like a co-maintainer? I just rolled myself a package based on svn revision 8330, which fixes 5 upstream bugs (#6130, #7627, #8032, #8121, #8257 - http://trac.edgewall.org/ticket/8257 seems particularly relevant) and is worth updating to IMHO. I'd be happy to make the update in Fedora too.
Comment 7 Jesse Keating 2009-07-14 13:04:39 EDT
Sorry, yes it can be closed.

Paul, I'd love a co-maintainer.  Please apply in pkgdb and I'll approve you.

Note You need to log in before you can comment on or make changes to this bug.